[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.ParentShowHint

If True, the value of ShowHint for the control will be the same as the one from the Parent. Default is True.

## Declaration

Source position: controls.pp line 1577

`protected property TControl.ParentShowHint : Boolean read FParentShowHint write SetParentShowHint default True;`

## Description

While ParentShowHint is True, all changes to the ShowHint property of the parent will also be applied to the ShowHint property for the control. This synchronizes them, keeping them with the same value. If the ShowHint property for the control is changed by the application, then ParentShowHint will automatically be set to False.

## See also

TControl.Hint |  | The text to show in the Hint window for the control.
TControl.ShowHint |  | Enables Hint display for the control.